using HtmlAgilityPack;

namespace Beam.Abstractions;

public interface IDataProvider {
    public string GetString(HtmlDocument document)
        => (this as IDataProvider<object>)?.Get(document)?.ToString() ?? "";
}

public interface IDataProvider<out T> : IDataProvider {
    public T Get(HtmlDocument document);
    //public HtmlNode? GetNode(HtmlDocument document);
}